angular.module('focaModalNotaPedido')
    .service('focaModalNotaPedidoService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getNotasPedido: function(usadoPor, fechaDesde, fechaHasta) {
                    var sinRemito = (usadoPor === 'remito' ? '/sin-remito' : '');
                    return $http.get(API_ENDPOINT.URL + '/nota-pedido/listar/' + fechaDesde + '/' +
                        fechaHasta + sinRemito);
                }
            };
        }
    ]);
